Package org.eclipse.gef.editparts

# Class AbstractGraphicalEditPart.AccessibleGraphicalEditPart

java.lang.Object
org.eclipse.draw2d.AccessibleBase
org.eclipse.gef.AccessibleEditPart
org.eclipse.gef.editparts.AbstractGraphicalEditPart.AccessibleGraphicalEditPart

Enclosing class:
  `AbstractGraphicalEditPart`

protected abstract class AbstractGraphicalEditPart.AccessibleGraphicalEditPart extends AccessibleEditPart
A default implementation of `AccessibleEditPart`. Subclasses can extend this implementation to get base accessibility for free.

Since:
  2.0

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AccessibleGraphicalEditPart()`

## Method Summary

Modifier and Type
Method
Description
`void`
`getChildCount(AccessibleControlEvent e)`
`void`
`getChildren(AccessibleControlEvent e)`
`void`
`getLocation(AccessibleControlEvent e)`
`void`
`getRole(AccessibleControlEvent e)`
`void`
`getState(AccessibleControlEvent e)`

### Methods inherited from class org.eclipse.gef.AccessibleEditPart

`getDefaultAction, getDescription, getHelp, getKeyboardShortcut, getName, getValue`

### Methods inherited from class org.eclipse.draw2d.AccessibleBase

`getAccessibleID`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AccessibleGraphicalEditPart

protected AccessibleGraphicalEditPart()

## Method Details

### getChildCount

public void getChildCount(AccessibleControlEvent e)

Specified by:
  `getChildCount` in class `AccessibleEditPart`
Parameters:
  `e` - AccessibleControlEvent
See Also:
  - `AccessibleEditPart.getChildCount(AccessibleControlEvent)`

### getChildren

public void getChildren(AccessibleControlEvent e)

Specified by:
  `getChildren` in class `AccessibleEditPart`
Parameters:
  `e` - AccessibleControlEvent
See Also:
  - `AccessibleEditPart.getChildren(AccessibleControlEvent)`

### getLocation

public void getLocation(AccessibleControlEvent e)

Specified by:
  `getLocation` in class `AccessibleEditPart`
Parameters:
  `e` - AccessibleControlEvent
See Also:
  - `AccessibleEditPart.getLocation(AccessibleControlEvent)`

### getState

public void getState(AccessibleControlEvent e)

Specified by:
  `getState` in class `AccessibleEditPart`
Parameters:
  `e` - AccessibleControlEvent
See Also:
  - `AccessibleEditPart.getState(AccessibleControlEvent)`

### getRole

public void getRole(AccessibleControlEvent e)

Overrides:
  `getRole` in class `AccessibleEditPart`
Parameters:
  `e` - AccessibleControlEvent
See Also:
  - `AccessibleEditPart.getRole(AccessibleControlEvent)`